Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.core
Interface Exclude

All Known Implementing Classes:
  ExcludeList

    public interface Exclude

The exclusion plugin allow ignore classes, methods, fields during signature check. The SignatureTest use property "exclude.plugin" to find implementation of plugin. Plugin can use specific command-line arguments to define exclusion criteria. The method 'check' is invoked by SignatureTest for each API item.

Method Summary
`void` | `check(ClassDescription testedClass, MemberDescription signature)` Checks if the given signature is excluded.
`java.lang.String[]` | `parseParameters(java.lang.String[] args)` This method parses parameters specific to exclusion plugin
`java.lang.String` | `report()` This method is invoked after all checks, to get plugin's summary report.

Method Detail

### parseParameters

    java.lang.String[] parseParameters(java.lang.String[] args)

  This method parses parameters specific to exclusion plugin

  Parameters:
    `args` - vector of all parameters
  Returns:
    vector of parameters which can't be parsed by this extension

### check

    void check(ClassDescription testedClass,
               MemberDescription signature)
               throws ExcludeException

  Checks if the given signature is excluded.

  Parameters:
    `testedClass` - the full qualified name of class being testing now
    `signature` - full qualified signature of class, method or field which is tested, for methods and fields signature includes the name of class where this member is declared, for classes this signature is it name
  Throws:
    `ExcludeException` - if signature is to be excluded with message which is used by SignatureTest for diagnostic messages

### report

    java.lang.String report()

  This method is invoked after all checks, to get plugin's summary report. This report is logged.

  Returns:
    report for plugin work or null if no report is needed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD